package data_access;

import model.Article;
import model.Customer;
import model.Order;
import system.ComponentLifecycle;

import javax.xml.crypto.Data;
import java.util.Optional;
import java.util.function.Consumer;

public interface DataAccess extends ComponentLifecycle {

   /* static DataAccess getInstance(){
        return DataAccessImpl.getInstance();
    }*/

    /**
     * Provides access to Customer repository.
     * @return Customer repository
     */
    DataRepository<Customer,String> getCustomerData();

    /**
     * Provides access to Article repository.
     * @return Article repository
     */
    DataRepository<Article,String> getArticleData();

    /**
     * Provides access to Order repository.
     * @return Order repository
     */
    DataRepository<Order,Long> getOrderData();


}