package model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class Application_1 {


    public static void main( String[] args ) {
        System.out.println( "Bestellsystem SE1." );

        Customer cEric = new Customer( "C86516", "Eric Schulz-Mueller", "eric2346@gmail.com" );
        Customer cAnne = new Customer( "C64327", "Meyer, Anne", "+4917223524" );
        Customer cNadine = new Customer( "C12396", "Nadine Ulla Blumenfeld", "+4915292454" );
        Customer cTimo = new Customer( "C16865", "Timo Werner", "tw@gmail.com");
        Customer cSandra = new Customer("C66865","Sandra Mueller","samue62@gmx.de");

        Article a1 = new Article( "SKU-458362", "Tasse", 299, 2000 );
        Article a2 = new Article( "SKU-693856", "Becher", 149, 8400 );
        Article a3 = new Article( "SKU-518957", "Kanne", 2000, 2400 );
        Article a4 = new Article( "SKU-638035", "Teller", 649, 7000 );
        Article a5 = new Article("SKU‐386035", "Kaffeemaschine", 2999,500);
        Article a6 = new Article("SKU‐443803", "Teekocher", 1999, 2000);

        // Eric's 1st order
        Order o5234 = new Order( 5234968294L, new Date(), cEric );
        OrderItem oi1 = new OrderItem( a3.getDescription(), a3, 1 );	// 1 Kanne (a3)
        o5234.addItem( oi1 );	// add OrderItem to Order 5234968294L

        // Eric's 2nd order
        Order o8592 = new Order( 8592356245L, new Date(), cEric );
        o8592.addItem(	// add three OrderItems to Order 8592356245L
                new OrderItem( a4.getDescription(), a4, 4 )		// 4 Teller (a4)
        ).addItem(
                new OrderItem( a2.getDescription(), a2, 8 )		// 8 Becher (a2)
        ).addItem(
                new OrderItem( "passende Tassen", a1, 4 )		// 4 passende Tassen (a1)
        );

        // Anne's order
        Order o3563 = new Order( 3563561357L, new Date(), cAnne );
        o3563.addItem(
                new OrderItem( a3.getDescription() + " aus Porzellan", a3, 1 )
        );

        // Nadine's order
        Order o6135 = new Order( 6135735635L, new Date(), cNadine );
        o6135.addItem(	// 12 Teller
                new OrderItem( a4.getDescription() + " blau/weiss Keramik", a4, 12 )
        );


        //Timo's order
        Order o1234 = new Order(9235856245L, new Date(), cTimo);
        o1234.addItem(
                new OrderItem(a5.getDescription() , a5,1) //1 Kaffeemaschine
        ).addItem(
                new OrderItem(a1.getDescription(), a1,6 )); // 6 Tassen

        //Sandra's order
        Order o5431 = new Order(7335856245L, new Date(), cSandra);
        o5431.addItem(
                new OrderItem(a6.getDescription() , a6,1) // 1 Teekocher
        ).addItem(
                new OrderItem(a2.getDescription(), a2,4) // 4 Becher
        ).addItem(
                new OrderItem(a4.getDescription(),a4,4) // 4 teller
        );

        List<Order> orders = new ArrayList<Order>( List.of( o5234 ,  o8592,  o3563,  o6135, o1234, o5431 ) );

        printOrders( orders );

    }


    private static void printOrders( List<Order> orders ) {
        for( Order order : orders ) {
            long id = order.getId();
            String name = order.getCustomer().getFirstName();
            StringBuffer sb = new StringBuffer();	// unwind ordered articles
            sb.append( name ).append( "'s Bestellung #(" ).append( id ).append( "): " );
            for( int i=0; i < order.getItems().size(); i++ ) {
                OrderItem item = order.getItems().get( i );
                sb.append( i > 0? ", " : "" )
                        .append( item.getUnitsOrdered() ).append( "x " )
                        .append( item.getDescription() );
            }
            System.out.println( sb.append( "." ).toString() );
        }
    }

}
