package model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class Order {

    private long id = 0;
    private Date date;
    private Customer customer;
    private List<OrderItem> items;

    public Order(long id, Date date, Customer customer){
       this.id = id;
       this.date = date;
       this.customer = customer;
       this.items = new ArrayList<OrderItem>();

    }

    public long getId() {
        return id;
    }

    public Date getDate() {
        return date;
    }

    public Order setDate(Date date) {
        this.date = date;
        return this;
    }

    public Customer getCustomer() {
        return customer;
    }

    public List<OrderItem> getItems() {
        return items;
    }

    public Order addItem(OrderItem item){
        this.items.add(item);
        return this;
    }

    public Order removeItem(OrderItem item){
        this.items.add(item);
        return this;
    }
}
