package system;

import model.Order;

import java.util.List;

public interface Logic extends ComponentLifecycle{
    //Ausdruck einer Liste von Bestellungen
    public void printOrders(Iterable<Order> orders);

    //Ausdruck der Liste mit dem aktuellen Bestand an Artikeln
    public void printInventory();

    //Berechnung des Gesamtwerts einer Bestellung, d.h. die
    //Summer über die einzelnen Bestellpositionen
    public long calculateTotal(Order order);

    //Berechnung der im Endpreis einer Bestellung
    //enthaltenen Mehrwertsteuer (engl. Value‐Added Tax VAT) zum Satz von 19%.
    public long calculateIncludedVAT(Order order);

    public boolean fillOrder(Order order);
}
